AWSTemplateFormatVersion: '2010-09-09'
Transform: AWS::Serverless-2016-10-31
Description: An AWS Lambda function and an S3 bucket

Resources:
  HelloWorldFunction:
    Type: AWS::Serverless::Function
    Properties:
      CodeUri: ./bootstrap.zip  # This should be a ZIP file containing your binary and a bootstrap file
      Handler: not.used
      Runtime: provided.al2
      Events:
        HelloWorld:
          Type: Api
          Properties:
            Path: /hello
            Method: get

  MyDataBucket:
    Type: AWS::S3::Bucket
    Properties:
      BucketName: my-data-bucket-ind4-ds655-0795-random

  MyStateMachine:
    Type: AWS::Serverless::StateMachine
    Properties:
      DefinitionUri: ./pipeline/workflow.json
      Role: arn:aws:iam::313838823615:role/my-step-function-iam  # Replace with your new role ARN
      Events:
        StartStateMachine:
          Type: Api
          Properties:
            Path: /start
            Method: post